## org.apache.mahout.clustering
Class ClusterObservations

    java.lang.Object
      org.apache.mahout.clustering.ClusterObservations

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public class ClusterObservations

extends java.lang.Object
implements org.apache.hadoop.io.Writable

Constructor Summary
`ClusterObservations()`
`ClusterObservations(double s0, Vector s1, Vector s2)`
`ClusterObservations(int combinerState, double s0, Vector s1, Vector s2)`

Method Summary
`int` `getCombinerState()`
`double` `getS0()`
`Vector` `getS1()`
`Vector` `getS2()`
`ClusterObservations` `incrementCombinerState()`
`void` `readFields(java.io.DataInput in)`
`java.lang.String` `toString()`
`void` `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClusterObservations

    public ClusterObservations(double s0,
                               Vector s1,
                               Vector s2)

### ClusterObservations

    public ClusterObservations(int combinerState,
                               double s0,
                               Vector s1,
                               Vector s2)

### ClusterObservations

    public ClusterObservations()

Method Detail

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### getCombinerState

    public int getCombinerState()

  Returns:
    the combinerState

### getS0

    public double getS0()

  Returns:
    the s0

### getS1

    public Vector getS1()

  Returns:
    the s1

### getS2

    public Vector getS2()

  Returns:
    the s2

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### incrementCombinerState

    public ClusterObservations incrementCombinerState()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.